package cn.muchinfo.rma.global

import cn.muchinfo.rma.view.autoWidget.utils.NumberUtils
import com.blankj.utilcode.util.TimeUtils

/**
 * 页面显示的时间
 * @receiver String
 * @param format String 页面显示的时间格式
 * @return String
 */
fun String.isShowTimeString(format : String) : String{
    if (this.isNullOrEmpty()){
        return "--"
    }
    val mill = TimeUtils.string2Millis(this)
    val time = TimeUtils.millis2String(mill,TimeUtils.getSafeDateFormat(format))
    return time
}

fun String.isBlankString() : String{
    if (this.isNullOrEmpty()){
        return "--"
    }
    return this
}

/**
 * 金额数量不存在时显示0
 * @receiver String
 * @return String
 */
fun String.isBlankNumber() : String{
    if (this.isNullOrEmpty()){
        return "0"
    }
    return this
}

fun String.toPercentage() : String{
    if (this.isNullOrEmpty()){
        return "--"
    }

    val percentage = NumberUtils.roundNum(this.toDouble().times(100),2) + "%"
    return percentage
}

